Page MenuHomePhabricator

Indicate when a page is automatically translated
Closed, ResolvedPublic

Description

When a page is delivered through an external translation service, we want to make it clear that the result provided is an automatic translation.

To support this, the following are proposed for the delivered content:

  • Remove the usual page actions. Page actions (language switcher, edit, download...) will be hidden/removed,
  • Show an "Automatic translation" indicator. An indicator with a robot icon (T212299) and an "Automatic translation" label (shown in the target language of the translation) will be shown in the page actions bar.
  • Adjust the page actions bar styling. The adjusted page action bar with the new indicators will use Base90 (#F8F9FA) as a background for additional differentiation.

When making these changes, we should avoid as much as possible content to jump back and forth due to the addition/removal/changes of elements.

The proposed changes are illustrated below:

Note that the proposed designs are built on top of the mobile version of the content (T212197), and other follow-up tickets will add more indicators (T212238), information and contribution paths (T212300).

Details

Related Gerrit Patches:
mediawiki/extensions/ExternalGuidance : masterHide all edit icons in the page when context is detected

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2018, 1:17 PM
Pginer-WMF updated the task description. (Show Details)Dec 18 2018, 5:28 PM
Pginer-WMF updated the task description. (Show Details)Dec 18 2018, 5:48 PM
Pginer-WMF triaged this task as Normal priority.Dec 19 2018, 10:19 AM
Pginer-WMF updated the task description. (Show Details)Dec 19 2018, 4:56 PM

Change 480903 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ExternalGuidance@master] Hide all edit icons in the page when context is detected

https://gerrit.wikimedia.org/r/480903

Change 480903 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@master] Hide all edit icons in the page when context is detected

https://gerrit.wikimedia.org/r/480903

santhosh claimed this task.Jan 4 2019, 11:59 AM
santhosh moved this task from In Review to Done on the ExternalGuidance board.Jan 8 2019, 11:49 AM
Pginer-WMF updated the task description. (Show Details)Jan 21 2019, 12:29 PM
Pginer-WMF closed this task as Resolved.Feb 8 2019, 12:32 PM

This looks good. I'm closing the ticket, but there are a couple of small styling adjustments that I captured as follow-ups: